## org.apache.poi.hssf.record
Class CRNRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CRNRecord

    public final class CRNRecord

extends StandardRecord

Title: CRN(0x005A)

Description: This record stores the contents of an external cell or cell range

REFERENCE: OOO 5.23

Author:
  josh micich

Field Summary
`static short` `sid`

Constructor Summary
`CRNRecord()`
`CRNRecord(RecordInputStream in)`

Method Summary
`protected int` `getDataSize()`
`int` `getNumberOfCRNs()`
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### CRNRecord

    public CRNRecord()

### CRNRecord

    public CRNRecord(RecordInputStream in)

Method Detail

### getNumberOfCRNs

    public int getNumberOfCRNs()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getSid

    public short getSid()

  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.